#
# spec file for package python-TermRecord
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-TermRecord
Version:        1.2.5
Release:        4.1
Summary:        A terminal session recorder with HTML output
License:        MIT
Group:          Development/Languages/Python
Url:            http://github.com/theonewolf/TermRecord
Source:         https://pypi.python.org/packages/source/T/TermRecord/TermRecord-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# SECTION test requirements
BuildRequires:  %{python_module Jinja2 >= 2.6}
# /SECTION
Requires:       python-Jinja2 >= 2.6
BuildArch:      noarch
Requires(post):   update-alternatives
Requires(postun):  update-alternatives

%python_subpackages

%description
TermRecord is a program that wraps the `script` command. It automagically
detects the terminal size, records the session, and stores the output as
either JSON, embeddable JavaScript, or a static HTML file.  The HTML is
self-contained, embedding all necessary dependencies in one file so that
it can be shipped to anyone that has a browser. Fonts are embedded, too.

%prep
%setup -q -n TermRecord-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%python_clone -a %{buildroot}%{_bindir}/TermRecord

%post
%python_install_alternative TermRecord

%postun
%python_uninstall_alternative TermRecord

%files %{python_files}
%license LICENSE
%python_alternative %{_bindir}/TermRecord
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Sun Jul 29 2018 jengelh@inai.de
- Reword description not to assume any particular use.
  Drop fantasizing about possible use cases.
* Thu May 24 2018 toddrme2178@gmail.com
- Update to 1.2.5
  * make sure we include LICENSE files when packaging
  * Adding optional named tempfiles
- spec file cleanups
* Wed May  3 2017 ralf.dannert@suse.com
- initial package submission
- new Version 1.2.4
